#ifndef __HACKS2CD_H
#define __HACKS2CD_H

/* compact disk */

/* invert mouse in the flight missions (1 and 3) */
static fix_item cdmsnvrt[] = {
  {0x0803C011UL, 0x04},
  {0x0403C01BUL, 0x08}
};

/* completely skip all flight missions (1 and 3) */
static fix_item cdnflght[] = {
  {0x0502D11AUL, 0x00}
};

static fix_item cdhflght[] = {
  /* mission 1 infinite health */
  {0x29047D53UL, 0x39},
  /* mission 3 infinite health */
  {0x29047FDBUL, 0x39}
};

static fix_item cdhfghtn[] = {
  /* infinite health (tunnel fighting) */
  {0x7501DAC0UL, 0xEB},
  /* infinite health (landscape fighting) */
  {0x1B021147UL, 0x00}
};

static fix_item cdsmrtbm[] = {
  /* infinite Smart Bombs (tunnel fighting) */
  {0xFF01D8D3UL, 0x39},
  /* infinite Smart Bombs (landscape fighting) */
  {0xFF0219A2UL, 0x39}
};

static fix_info cdcshock[] = {
  {PH_ORG, 0, LIST_LEN(cdmsnvrt), cdmsnvrt},
  {PH_ORG, 0, LIST_LEN(cdnflght), cdnflght},
  {PH_ORG, 0, LIST_LEN(cdhflght), cdhflght},
  {PH_ORG, 0, LIST_LEN(cdhfghtn), cdhfghtn},
  {PH_ORG, 0, LIST_LEN(cdsmrtbm), cdsmrtbm}
};

#endif
